NX Open C++ Reference Guide
Classes | Public Types | Public Member Functions | List of all members
NXOpen::Preferences::PartSheetmetal Class Reference

Represents the NX Sheetmetal preferences applicable to part
Preferences are in control of the part. More...

Classes

struct  FlatPatternCalloutTypeDisplay
 The members of the following structure are the display data for a callout in a flat pattern drawing member view. More...
 
struct  FlatPatternObjectTypeDisplay
 The members of the following structure are the display data for an object in a flat pattern drawing member view. More...
 
struct  TabCurveTypeDisplayData
 The members of the following structure are the display data of a tab curve type. More...
 

Public Types

enum  BendDefinitionMethodOptions {
  BendDefinitionMethodOptionsNeutralFactorValue, BendDefinitionMethodOptionsBendTable, BendDefinitionMethodOptionsBendAllowanceFormula, BendDefinitionMethodOptionsMaterialTable,
  BendDefinitionMethodOptionsToolTable, BendDefinitionMethodOptionsBendAllowanceTable, BendDefinitionMethodOptionsBendDeductionTable, BendDefinitionMethodOptionsBendDeductionFormula,
  BendDefinitionMethodOptionsDin6935Formula
}
 This enum represents the bend definition method options in preferences. More...
 
enum  FlatPatternCalloutOrientationType { FlatPatternCalloutOrientationTypeLeadered, FlatPatternCalloutOrientationTypeAligned }
 This enum represents orientation types for the flat pattern callouts. More...
 
enum  FlatPatternObjectType {
  FlatPatternObjectTypeBendCenterLine, FlatPatternObjectTypeBendUpCenterLine, FlatPatternObjectTypeBendDownCenterLine, FlatPatternObjectTypeBendTangentLine,
  FlatPatternObjectTypeOuterMoldLine, FlatPatternObjectTypeInnerMoldLine, FlatPatternObjectTypeExteriorCurves, FlatPatternObjectTypeInteriorCurves,
  FlatPatternObjectTypeInteriorCutoutCurves, FlatPatternObjectTypeInteriorFeatureCurves, FlatPatternObjectTypeStrikePoint, FlatPatternObjectTypeLighteningHoleCenter,
  FlatPatternObjectTypeJoggleLine, FlatPatternObjectTypeAddedTopGeometry, FlatPatternObjectTypeAddedBottomGeometry, FlatPatternObjectTypeToolMarker
}
 The members of the following enumerated type are used to identify object types to the FlatPattern API. More...
 
enum  TabCurveType { TabCurveTypeBendCenterLine, TabCurveTypeBendTangentLine }
 The following members are used to identify curve types of base tab feature. More...
 

Public Member Functions

void Commit ()
 Commits and applies all the settings done with set_callout_type_display and set_object_type_display. More...
 
NXString GetBendAllowanceFormula ()
 RETURNS the bend allowance formula. More...
 
NXString GetBendDeductionFormula ()
 Returns the bend deduction formula. More...
 
NXOpen::Preferences::PartSheetmetal::BendDefinitionMethodOptions GetBendDefinitionMethodOption ()
 RETURNS the bend definition method. More...
 
NXOpen::ExpressionGetBendRadius ()
 RETURNS the bend radius expression. More...
 
NXOpen::ExpressionGetBendReliefDepth ()
 RETURNS the bend relief depth. More...
 
NXOpen::ExpressionGetBendReliefWidth ()
 RETURNS the bend relief width. More...
 
NXString GetBendTable ()
 RETURNS the bend table name. More...
 
NXOpen::ExpressionGetDepthThreshold ()
 RETURNS the depth threshold. More...
 
double GetDeviationalToleranceInFlatSolid ()
 RETURNS the deviational tolerance during Flat Solid simplification. More...
 
NXOpen::ExpressionGetDistanceThreshold ()
 RETURNS the distance threshold. More...
 
void GetFlatPatternAllCalloutTypeDisplay (std::vector< NXOpen::Preferences::PartSheetmetal::FlatPatternCalloutTypeDisplay > &displayData)
 Returns the dialog names, identifiers, and enabled status for all the available callout types. More...
 
void GetFlatPatternAllObjectTypeDisplay (std::vector< NXOpen::Preferences::PartSheetmetal::FlatPatternObjectTypeDisplay > &displayData)
 Returns the types, colors, fonts, widths, and enabled status for all the the available object types. More...
 
NXOpen::Preferences::PartSheetmetal::FlatPatternCalloutOrientationType GetFlatPatternCalloutOrientationType ()
 Returns the orientation type for flat pattern callouts. More...
 
std::vector< NXStringGetFlatPatternCalloutTypeContents (const NXString &calloutType)
 Returns the contents for a callout type. More...
 
std::vector< NXStringGetFlatPatternCalloutTypeContents (const char *calloutType)
 Returns the contents for a callout type. More...
 
NXOpen::Preferences::PartSheetmetal::FlatPatternCalloutTypeDisplay GetFlatPatternCalloutTypeDisplay (const NXString &calloutType)
 Returns the display data for a callout type. More...
 
NXOpen::Preferences::PartSheetmetal::FlatPatternCalloutTypeDisplay GetFlatPatternCalloutTypeDisplay (const char *calloutType)
 Returns the display data for a callout type. More...
 
NXOpen::Preferences::PartSheetmetal::FlatPatternObjectTypeDisplay GetFlatPatternObjectTypeDisplay (NXOpen::Preferences::PartSheetmetal::FlatPatternObjectType objectType)
 Returns the display data for a flat pattern object type. More...
 
NXOpen::NXColorGetFlexibleCableBottomFaceColor ()
 RETURNS the bottom face color. More...
 
NXOpen::NXColorGetFlexibleCableTopFaceColor ()
 RETURNS the top face color. More...
 
NXOpen::ExpressionGetHoleTreatmentDiameter ()
 RETURNS the hole treatment diameter value in Flat Pattern operation. More...
 
NXOpen::Features::SheetMetal::FeatureProperty GetHoleTreatmentType ()
 RETURNS the hole treatment type in Flat Pattern operation. More...
 
NXOpen::Features::SheetMetal::FeatureProperty GetInnerCornerTreatmentType ()
 RETURNS the inner corner treatment type in Flat as Solid operation. More...
 
NXOpen::ExpressionGetInnerCornerTreatmentValue ()
 RETURNS the inner corner treatment value for Flat as Solid operations. More...
 
bool GetIsBsplineSimplifiedInFlatSolid ()
 RETURNS the flag indicating whether B-Splines are simplified as part of the Flat Solid creation. More...
 
bool GetIsSystemGeneratedBendReliefRemovedInFlatSolid ()
 RETURNS the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation. More...
 
bool GetMaintainCircularShapeForHolesInFlatSolid ()
 Returns the flag indicating whether or not maintain circular shape for holes as part of the Flat Solid creation. More...
 
NXString GetMaterial ()
 RETURNS the material name saved with the part. More...
 
std::vector< NXStringGetMaterialNames ()
 RETURNS the material names defined in the material standards table. More...
 
std::vector< NXStringGetMaterialProperties (const NXString &materialName, std::vector< NXString > &propertyNames)
 RETURNS the material name saved with the part. More...
 
std::vector< NXStringGetMaterialProperties (const char *materialName, std::vector< NXString > &propertyNames)
 RETURNS the material name saved with the part. More...
 
double GetMinimumArcToleranceInFlatSolid ()
 RETURNS the minimum arc tolerance during Flat Solid simplification. More...
 
NXOpen::ExpressionGetMinimumToolClearance ()
 Returns the minimum tool clearance expression. More...
 
NXOpen::ExpressionGetMinimumWebLength ()
 Returns the minimum Web Length expression. More...
 
NXOpen::ExpressionGetNeutralFactor ()
 RETURNS the neutral factor. More...
 
NXOpen::ExpressionGetOffsetRadius ()
 RETURNS the offset radius. More...
 
NXOpen::Features::SheetMetal::FeatureProperty GetOuterCornerTreatmentType ()
 RETURNS the outer corner treatment type in Flat as Solid operation. More...
 
NXOpen::ExpressionGetOuterCornerTreatmentValue ()
 RETURNS the out corner treatment value for Flat as Solid operations. More...
 
NXString GetSecondaryToolName ()
 Returns the secondaryToolName refered from Material Table. More...
 
NXOpen::ExpressionGetStationaryRadius ()
 RETURNS the stationary radius. More...
 
NXOpen::Preferences::PartSheetmetal::TabCurveTypeDisplayData GetTabCurveTypeDisplayData (NXOpen::Preferences::PartSheetmetal::TabCurveType curveType)
 Returns the display data for a given tab curve type. More...
 
NXOpen::ExpressionGetThickness ()
 RETURNS the thickness expression. More...
 
NXString GetTool ()
 Returns the tool name saved with the part. More...
 
std::vector< NXStringGetToolNames ()
 Returns the tool names defined in the material standards table. More...
 
std::vector< NXStringGetToolProperties (const NXString &toolName, std::vector< NXString > &propertyNames)
 Returns the tool properties saved with the part. More...
 
std::vector< NXStringGetToolProperties (const char *toolName, std::vector< NXString > &propertyNames)
 Returns the tool properties saved with the part. More...
 
void SetBendAllowanceFormula (bool updateModel, const NXString &bendAllowanceFormula)
 SETS the bend allowance formula
Created in NX5.0.0. More...
 
void SetBendAllowanceFormula (bool updateModel, const char *bendAllowanceFormula)
 SETS the bend allowance formula
Created in NX5.0.0. More...
 
void SetBendDeductionFormula (bool updateModel, const NXString &bendDeductionFormula)
 
Created in NX12.0.0. More...
 
void SetBendDeductionFormula (bool updateModel, const char *bendDeductionFormula)
 
Created in NX12.0.0. More...
 
void SetBendDefinitionMethodOption (bool updateModel, NXOpen::Preferences::PartSheetmetal::BendDefinitionMethodOptions bendDefinitionMethod)
 SETS the bend definition method
Created in NX5.0.0. More...
 
void SetBendRadius (bool updateModel, const NXString &bendRadius)
 The bend radius value
Created in NX4.0.0. More...
 
void SetBendRadius (bool updateModel, const char *bendRadius)
 The bend radius value
Created in NX4.0.0. More...
 
void SetBendReliefDepth (bool updateModel, const NXString &bendReliefDepth)
 THE bend relief depth value
Created in NX4.0.0. More...
 
void SetBendReliefDepth (bool updateModel, const char *bendReliefDepth)
 THE bend relief depth value
Created in NX4.0.0. More...
 
void SetBendReliefWidth (bool updateModel, const NXString &bendReliefWidth)
 THE bend relief depth value
Created in NX4.0.0. More...
 
void SetBendReliefWidth (bool updateModel, const char *bendReliefWidth)
 THE bend relief depth value
Created in NX4.0.0. More...
 
void SetBendTable (bool updateModel, const NXString &bendTable)
 SETS the bend table name
Created in NX5.0.0. More...
 
void SetBendTable (bool updateModel, const char *bendTable)
 SETS the bend table name
Created in NX5.0.0. More...
 
void SetDepthThreshold (bool updateModel, const NXString &depthThreshold)
 THE depth threshold
Created in NX11.0.0. More...
 
void SetDepthThreshold (bool updateModel, const char *depthThreshold)
 THE depth threshold
Created in NX11.0.0. More...
 
void SetDeviationalToleranceInFlatSolid (bool updateModel, double deviationalToleranceInFlatSolid)
 SETS the deviational tolerance during Flat Solid simplification
Created in NX4.0.0. More...
 
void SetDistanceThreshold (bool updateModel, const NXString &distanceThreshold)
 THE distance threshold
Created in NX11.0.0. More...
 
void SetDistanceThreshold (bool updateModel, const char *distanceThreshold)
 THE distance threshold
Created in NX11.0.0. More...
 
void SetFlatPatternCalloutOrientationType (NXOpen::Preferences::PartSheetmetal::FlatPatternCalloutOrientationType orientation)
 Sets the orientation type for flat pattern callouts. More...
 
void SetFlatPatternCalloutTypeContents (const NXString &calloutType, std::vector< NXString > &contents)
 Sets the contents for a callout type. More...
 
void SetFlatPatternCalloutTypeContents (const char *calloutType, std::vector< NXString > &contents)
 Sets the contents for a callout type. More...
 
void SetFlatPatternCalloutTypeDisplay (const NXString &calloutType, const NXOpen::Preferences::PartSheetmetal::FlatPatternCalloutTypeDisplay &displayData)
 Sets the display data for a callout type. More...
 
void SetFlatPatternCalloutTypeDisplay (const char *calloutType, const NXOpen::Preferences::PartSheetmetal::FlatPatternCalloutTypeDisplay &displayData)
 Sets the display data for a callout type. More...
 
void SetFlatPatternObjectTypeDisplay (bool updateModel, NXOpen::Preferences::PartSheetmetal::FlatPatternObjectType objectType, const NXOpen::Preferences::PartSheetmetal::FlatPatternObjectTypeDisplay &displayData)
 Sets the display data for a flat pattern object type. More...
 
void SetFlexibleCableBottomFaceColor (NXOpen::NXColor *bottomFaceColor)
 THE bottom face color. More...
 
void SetFlexibleCableTopFaceColor (NXOpen::NXColor *topFaceColor)
 THE top face color. More...
 
void SetHoleTreatmentDiameter (bool updateModel, const NXString &diameter)
 SETS the hole treatment diameter value in Flat Pattern operation
Created in NX12.0.0. More...
 
void SetHoleTreatmentDiameter (bool updateModel, const char *diameter)
 SETS the hole treatment diameter value in Flat Pattern operation
Created in NX12.0.0. More...
 
void SetHoleTreatmentType (bool updateModel, NXOpen::Features::SheetMetal::FeatureProperty holeTreatmentType)
 SETS the hole treatment type in Flat Pattern operation
Created in NX12.0.0. More...
 
void SetInnerCornerTreatmentType (bool updateModel, NXOpen::Features::SheetMetal::FeatureProperty innerCornerTreatmentType)
 SETS the inner corner treatment type in Flat as Solid operation
Created in NX4.0.0. More...
 
void SetInnerCornerTreatmentValue (bool updateModel, const NXString &innerCornerTreatment)
 SETS the inner corner treatment value for Flat as Solid operations
Created in NX4.0.0. More...
 
void SetInnerCornerTreatmentValue (bool updateModel, const char *innerCornerTreatment)
 SETS the inner corner treatment value for Flat as Solid operations
Created in NX4.0.0. More...
 
void SetIsBsplineSimplifiedInFlatSolid (bool updateModel, bool isBsplineSimplifiedInFlatSolid)
 SETS the flag indicating whether or not B-Splines are simplified as part of the Flat Solid creation
Created in NX4.0.0. More...
 
void SetIsSystemGeneratedBendReliefRemovedInFlatSolid (bool updateModel, bool isSystemGeneratedBendReliefRemoved)
 SETS the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation
Created in NX4.0.0. More...
 
void SetMaintainCircularShapeForHolesInFlatSolid (bool updateModel, bool isMaintainCircularShapeForHoles)
 Sets the flag indicating whether or not maintain circular shape for holes as part of the Flat Solid creation
Created in NX6.0.0. More...
 
void SetMaterial (bool updateModel, const NXString &standardName)
 The material standard
Created in NX4.0.0. More...
 
void SetMaterial (bool updateModel, const char *standardName)
 The material standard
Created in NX4.0.0. More...
 
void SetMinimumArcToleranceInFlatSolid (bool updateModel, double minimumArcToleranceInFlatSolid)
 SETS the minimum arc tolerance during Flat Solid simplification
Created in NX4.0.0. More...
 
void SetMinimumToolClearance (bool updateModel, const NXString &minToolClearance)
 Sets minimum tool clearance expression
Created in NX6.0.0. More...
 
void SetMinimumToolClearance (bool updateModel, const char *minToolClearance)
 Sets minimum tool clearance expression
Created in NX6.0.0. More...
 
void SetMinimumWebLength (bool updateModel, const NXString &minWebLength)
 Sets minimum Web Length expression
Created in NX6.0.0. More...
 
void SetMinimumWebLength (bool updateModel, const char *minWebLength)
 Sets minimum Web Length expression
Created in NX6.0.0. More...
 
void SetNeutralFactor (bool updateModel, const NXString &neutralFactor)
 THE bend relief depth value
Created in NX4.0.0. More...
 
void SetNeutralFactor (bool updateModel, const char *neutralFactor)
 THE bend relief depth value
Created in NX4.0.0. More...
 
void SetOffsetRadius (bool updateModel, const NXString &offsetRadius)
 THE offset radius
Created in NX11.0.0. More...
 
void SetOffsetRadius (bool updateModel, const char *offsetRadius)
 THE offset radius
Created in NX11.0.0. More...
 
void SetOuterCornerTreatmentType (bool updateModel, NXOpen::Features::SheetMetal::FeatureProperty outerCornerTreatmentType)
 SETS the outer corner treatment type in Flat as Solid operation
Created in NX4.0.0. More...
 
void SetOuterCornerTreatmentValue (bool updateModel, const NXString &outerCornerTreatment)
 THE outer corner treatment value for Flat as Solid operations
Created in NX4.0.0. More...
 
void SetOuterCornerTreatmentValue (bool updateModel, const char *outerCornerTreatment)
 THE outer corner treatment value for Flat as Solid operations
Created in NX4.0.0. More...
 
void SetSecondaryToolName (bool updateModel, const NXString &secondaryToolName)
 
Created in NX12.0.0. More...
 
void SetSecondaryToolName (bool updateModel, const char *secondaryToolName)
 
Created in NX12.0.0. More...
 
void SetStationaryRadius (bool updateModel, const NXString &stationaryRadius)
 THE stationary radius
Created in NX11.0.0. More...
 
void SetStationaryRadius (bool updateModel, const char *stationaryRadius)
 THE stationary radius
Created in NX11.0.0. More...
 
void SetTabCurveTypeDisplayData (bool updateModel, NXOpen::Preferences::PartSheetmetal::TabCurveType curveType, const NXOpen::Preferences::PartSheetmetal::TabCurveTypeDisplayData &displayData)
 Sets the display data for a given tab curve type. More...
 
void SetThickness (bool updateModel, const NXString &thickness)
 THE thickness value string
Created in NX4.0.0. More...
 
void SetThickness (bool updateModel, const char *thickness)
 THE thickness value string
Created in NX4.0.0. More...
 
void SetTool (bool updateModel, const NXString &standardName)
 The tool standard
Created in NX6.0.0. More...
 
void SetTool (bool updateModel, const char *standardName)
 The tool standard
Created in NX6.0.0. More...
 
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents the NX Sheetmetal preferences applicable to part
Preferences are in control of the part.

They can not be created but can only be changed.

Created in NX4.0.0.

Member Enumeration Documentation

This enum represents the bend definition method options in preferences.


This is used to specify the bend definition method. You can choose to use a global Neutral Factor value OR a Bend Table OR a Bend Allowance Formula OR a Material Table.


Created in NX12.0.0.

Enumerator
BendDefinitionMethodOptionsNeutralFactorValue 

The neutral factor value method.

BendDefinitionMethodOptionsBendTable 

The bend table method.

BendDefinitionMethodOptionsBendAllowanceFormula 

The bend allowance formula method.

BendDefinitionMethodOptionsMaterialTable 

The material table method.

BendDefinitionMethodOptionsToolTable 

The tool table method.

BendDefinitionMethodOptionsBendAllowanceTable 

The bend allowance table method.

BendDefinitionMethodOptionsBendDeductionTable 

The bend deduction table method.

BendDefinitionMethodOptionsBendDeductionFormula 

The bend deduction formula method.

BendDefinitionMethodOptionsDin6935Formula 

The DIN6935 formula method.

This enum represents orientation types for the flat pattern callouts.

Enumerator
FlatPatternCalloutOrientationTypeLeadered 

Leadered.

FlatPatternCalloutOrientationTypeAligned 

Aligned.

The members of the following enumerated type are used to identify object types to the FlatPattern API.

These are not the usual NX object types; they are ordinary NX objects that are known to the flat pattern feature for the type of outline they provide to a bend region, joggle region, or lightening hole.

Enumerator
FlatPatternObjectTypeBendCenterLine 

Deprecated.

FlatPatternObjectTypeBendUpCenterLine 

bend up center line

FlatPatternObjectTypeBendDownCenterLine 

bend down center line

FlatPatternObjectTypeBendTangentLine 

bend tangent line

FlatPatternObjectTypeOuterMoldLine 

outer mold line

FlatPatternObjectTypeInnerMoldLine 

inner mold line

FlatPatternObjectTypeExteriorCurves 

exterior curves

FlatPatternObjectTypeInteriorCurves 

Deprecated.

FlatPatternObjectTypeInteriorCutoutCurves 

interior cutout curves

FlatPatternObjectTypeInteriorFeatureCurves 

interior feature curves

FlatPatternObjectTypeStrikePoint 

strike point

FlatPatternObjectTypeLighteningHoleCenter 

lightening hole center

FlatPatternObjectTypeJoggleLine 

joggle line

FlatPatternObjectTypeAddedTopGeometry 

added top geometry

FlatPatternObjectTypeAddedBottomGeometry 

added bottom geometry

FlatPatternObjectTypeToolMarker 

tool marker

The following members are used to identify curve types of base tab feature.

Enumerator
TabCurveTypeBendCenterLine 

bend center line

TabCurveTypeBendTangentLine 

bend tangent line

Member Function Documentation

void NXOpen::Preferences::PartSheetmetal::Commit ( )

Commits and applies all the settings done with set_callout_type_display and set_object_type_display.

It must be called after a sequence of calls to those methods to cause the view to update.
Created in NX5.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXString NXOpen::Preferences::PartSheetmetal::GetBendAllowanceFormula ( )

RETURNS the bend allowance formula.

Returns
bend allowance formula
Created in NX5.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
NXString NXOpen::Preferences::PartSheetmetal::GetBendDeductionFormula ( )

Returns the bend deduction formula.

Returns
bend deduction formula
Created in NX12.0.0.

License requirements : None
NXOpen::Preferences::PartSheetmetal::BendDefinitionMethodOptions NXOpen::Preferences::PartSheetmetal::GetBendDefinitionMethodOption ( )

RETURNS the bend definition method.

Returns
bend definition method option
Created in NX5.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Expression* NXOpen::Preferences::PartSheetmetal::GetBendRadius ( )

RETURNS the bend radius expression.

Returns
expression object for radius of bend faces
Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Expression* NXOpen::Preferences::PartSheetmetal::GetBendReliefDepth ( )

RETURNS the bend relief depth.

Returns
expression object for depth of bend relief
Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Expression* NXOpen::Preferences::PartSheetmetal::GetBendReliefWidth ( )

RETURNS the bend relief width.

Returns
expression object for width of bend relief
Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
NXString NXOpen::Preferences::PartSheetmetal::GetBendTable ( )

RETURNS the bend table name.

Returns
bend table name
Created in NX5.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Expression* NXOpen::Preferences::PartSheetmetal::GetDepthThreshold ( )

RETURNS the depth threshold.

Returns
expression object for depth threshold of joggle
Created in NX11.0.0.

License requirements : adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
double NXOpen::Preferences::PartSheetmetal::GetDeviationalToleranceInFlatSolid ( )

RETURNS the deviational tolerance during Flat Solid simplification.

Returns
flag
Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Expression* NXOpen::Preferences::PartSheetmetal::GetDistanceThreshold ( )

RETURNS the distance threshold.

Returns
expression object for distance threshold of joggle
Created in NX11.0.0.

License requirements : adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
void NXOpen::Preferences::PartSheetmetal::GetFlatPatternAllCalloutTypeDisplay ( std::vector< NXOpen::Preferences::PartSheetmetal::FlatPatternCalloutTypeDisplay > &  displayData)

Returns the dialog names, identifiers, and enabled status for all the available callout types.


Created in NX5.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
displayDataArray of structures with the callout type display data.
void NXOpen::Preferences::PartSheetmetal::GetFlatPatternAllObjectTypeDisplay ( std::vector< NXOpen::Preferences::PartSheetmetal::FlatPatternObjectTypeDisplay > &  displayData)

Returns the types, colors, fonts, widths, and enabled status for all the the available object types.


Created in NX5.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
displayDataArray of structures with the object type display data.
NXOpen::Preferences::PartSheetmetal::FlatPatternCalloutOrientationType NXOpen::Preferences::PartSheetmetal::GetFlatPatternCalloutOrientationType ( )

Returns the orientation type for flat pattern callouts.

Returns
The orientation type for the flat pattern callouts.
Created in NX9.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
std::vector<NXString> NXOpen::Preferences::PartSheetmetal::GetFlatPatternCalloutTypeContents ( const NXString calloutType)

Returns the contents for a callout type.

Returns
The contents for the callout type.
Created in NX9.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
Parameters
calloutTypeThe name of the callout type for which to get the content.
std::vector<NXString> NXOpen::Preferences::PartSheetmetal::GetFlatPatternCalloutTypeContents ( const char *  calloutType)

Returns the contents for a callout type.

Returns
The contents for the callout type.
Created in NX9.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
Parameters
calloutTypeThe name of the callout type for which to get the content.
NXOpen::Preferences::PartSheetmetal::FlatPatternCalloutTypeDisplay NXOpen::Preferences::PartSheetmetal::GetFlatPatternCalloutTypeDisplay ( const NXString calloutType)

Returns the display data for a callout type.

The name member of the NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutTypeDisplay is separately allocated from the callout_type argument string. In some cases the new string will contain an extended form of the callout_type passed in, and that form should be used for subsequent JA calls, without modification.

Returns
The display data for the callout type.
Created in NX5.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
Parameters
calloutTypeThe name of the callout type for which to get the display data.
NXOpen::Preferences::PartSheetmetal::FlatPatternCalloutTypeDisplay NXOpen::Preferences::PartSheetmetal::GetFlatPatternCalloutTypeDisplay ( const char *  calloutType)

Returns the display data for a callout type.

The name member of the NXOpen::Preferences::PartFlexiblePrintedCircuitDesign::FlatPatternCalloutTypeDisplay is separately allocated from the callout_type argument string. In some cases the new string will contain an extended form of the callout_type passed in, and that form should be used for subsequent JA calls, without modification.

Returns
The display data for the callout type.
Created in NX5.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
Parameters
calloutTypeThe name of the callout type for which to get the display data.
NXOpen::Preferences::PartSheetmetal::FlatPatternObjectTypeDisplay NXOpen::Preferences::PartSheetmetal::GetFlatPatternObjectTypeDisplay ( NXOpen::Preferences::PartSheetmetal::FlatPatternObjectType  objectType)

Returns the display data for a flat pattern object type.

Returns
The display data for the flat pattern object type.
Created in NX5.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
Parameters
objectTypeThe object type for which to return the display data.
NXOpen::NXColor* NXOpen::Preferences::PartSheetmetal::GetFlexibleCableBottomFaceColor ( )

RETURNS the bottom face color.

Returns

Created in NX7.5.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::NXColor* NXOpen::Preferences::PartSheetmetal::GetFlexibleCableTopFaceColor ( )

RETURNS the top face color.

Returns

Created in NX7.5.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Expression* NXOpen::Preferences::PartSheetmetal::GetHoleTreatmentDiameter ( )

RETURNS the hole treatment diameter value in Flat Pattern operation.

Returns
expression object for hole diameter value
Created in NX12.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Features::SheetMetal::FeatureProperty NXOpen::Preferences::PartSheetmetal::GetHoleTreatmentType ( )

RETURNS the hole treatment type in Flat Pattern operation.

Returns
hole treatment type
Created in NX12.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Features::SheetMetal::FeatureProperty NXOpen::Preferences::PartSheetmetal::GetInnerCornerTreatmentType ( )

RETURNS the inner corner treatment type in Flat as Solid operation.

Returns
outer corner treatment type
Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Expression* NXOpen::Preferences::PartSheetmetal::GetInnerCornerTreatmentValue ( )

RETURNS the inner corner treatment value for Flat as Solid operations.

Returns
expression object for inner corner treatment value
Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
bool NXOpen::Preferences::PartSheetmetal::GetIsBsplineSimplifiedInFlatSolid ( )

RETURNS the flag indicating whether B-Splines are simplified as part of the Flat Solid creation.

Returns
flag
Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
bool NXOpen::Preferences::PartSheetmetal::GetIsSystemGeneratedBendReliefRemovedInFlatSolid ( )

RETURNS the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation.

Returns
flag
Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
bool NXOpen::Preferences::PartSheetmetal::GetMaintainCircularShapeForHolesInFlatSolid ( )

Returns the flag indicating whether or not maintain circular shape for holes as part of the Flat Solid creation.

Returns
flag
Created in NX6.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
NXString NXOpen::Preferences::PartSheetmetal::GetMaterial ( )

RETURNS the material name saved with the part.

Returns
The name of the material saved with the part
Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
std::vector<NXString> NXOpen::Preferences::PartSheetmetal::GetMaterialNames ( )

RETURNS the material names defined in the material standards table.

Returns

Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
std::vector<NXString> NXOpen::Preferences::PartSheetmetal::GetMaterialProperties ( const NXString materialName,
std::vector< NXString > &  propertyNames 
)

RETURNS the material name saved with the part.

Returns
property Values
Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
Parameters
materialNamematerial Name
propertyNamesproperty Names
std::vector<NXString> NXOpen::Preferences::PartSheetmetal::GetMaterialProperties ( const char *  materialName,
std::vector< NXString > &  propertyNames 
)

RETURNS the material name saved with the part.

Returns
property Values
Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
Parameters
materialNamematerial Name
propertyNamesproperty Names
double NXOpen::Preferences::PartSheetmetal::GetMinimumArcToleranceInFlatSolid ( )

RETURNS the minimum arc tolerance during Flat Solid simplification.

Returns
flag
Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Expression* NXOpen::Preferences::PartSheetmetal::GetMinimumToolClearance ( )

Returns the minimum tool clearance expression.

Returns
expression object for punch tool clearance
Created in NX6.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Expression* NXOpen::Preferences::PartSheetmetal::GetMinimumWebLength ( )

Returns the minimum Web Length expression.

Returns
expression object for Web Length
Created in NX6.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Expression* NXOpen::Preferences::PartSheetmetal::GetNeutralFactor ( )

RETURNS the neutral factor.

Returns
expression object for neutral factor of bend areas
Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Expression* NXOpen::Preferences::PartSheetmetal::GetOffsetRadius ( )

RETURNS the offset radius.

Returns
expression object for offset radius of joggle
Created in NX11.0.0.

License requirements : adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
NXOpen::Features::SheetMetal::FeatureProperty NXOpen::Preferences::PartSheetmetal::GetOuterCornerTreatmentType ( )

RETURNS the outer corner treatment type in Flat as Solid operation.

Returns
outer corner treatment type
Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Expression* NXOpen::Preferences::PartSheetmetal::GetOuterCornerTreatmentValue ( )

RETURNS the out corner treatment value for Flat as Solid operations.

Returns
expression object for out corner treatment value
Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
NXString NXOpen::Preferences::PartSheetmetal::GetSecondaryToolName ( )

Returns the secondaryToolName refered from Material Table.

Returns
secondaryToolName
Created in NX12.0.0.

License requirements : None
NXOpen::Expression* NXOpen::Preferences::PartSheetmetal::GetStationaryRadius ( )

RETURNS the stationary radius.

Returns
expression object for stationary radius of joggle
Created in NX11.0.0.

License requirements : adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
NXOpen::Preferences::PartSheetmetal::TabCurveTypeDisplayData NXOpen::Preferences::PartSheetmetal::GetTabCurveTypeDisplayData ( NXOpen::Preferences::PartSheetmetal::TabCurveType  curveType)

Returns the display data for a given tab curve type.

Returns
The display data for the tab curves object type.
Created in NX12.0.0.

License requirements : None
Parameters
curveTypeThe curve type for which to return the display data.
NXOpen::Expression* NXOpen::Preferences::PartSheetmetal::GetThickness ( )

RETURNS the thickness expression.

Returns
expression object for sheet thickness
Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
NXString NXOpen::Preferences::PartSheetmetal::GetTool ( )

Returns the tool name saved with the part.

Returns
The name of the tool saved with the part
Created in NX6.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
std::vector<NXString> NXOpen::Preferences::PartSheetmetal::GetToolNames ( )

Returns the tool names defined in the material standards table.

Returns

Created in NX6.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
std::vector<NXString> NXOpen::Preferences::PartSheetmetal::GetToolProperties ( const NXString toolName,
std::vector< NXString > &  propertyNames 
)

Returns the tool properties saved with the part.

Returns
property Values
Created in NX6.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
Parameters
toolNametool Name
propertyNamesproperty Names
std::vector<NXString> NXOpen::Preferences::PartSheetmetal::GetToolProperties ( const char *  toolName,
std::vector< NXString > &  propertyNames 
)

Returns the tool properties saved with the part.

Returns
property Values
Created in NX6.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
Parameters
toolNametool Name
propertyNamesproperty Names
void NXOpen::Preferences::PartSheetmetal::SetBendAllowanceFormula ( bool  updateModel,
const NXString bendAllowanceFormula 
)

SETS the bend allowance formula
Created in NX5.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
bendAllowanceFormulabend allowance formula
void NXOpen::Preferences::PartSheetmetal::SetBendAllowanceFormula ( bool  updateModel,
const char *  bendAllowanceFormula 
)

SETS the bend allowance formula
Created in NX5.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
bendAllowanceFormulabend allowance formula
void NXOpen::Preferences::PartSheetmetal::SetBendDeductionFormula ( bool  updateModel,
const NXString bendDeductionFormula 
)


Created in NX12.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
bendDeductionFormulabend deduction formula
void NXOpen::Preferences::PartSheetmetal::SetBendDeductionFormula ( bool  updateModel,
const char *  bendDeductionFormula 
)


Created in NX12.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
bendDeductionFormulabend deduction formula
void NXOpen::Preferences::PartSheetmetal::SetBendDefinitionMethodOption ( bool  updateModel,
NXOpen::Preferences::PartSheetmetal::BendDefinitionMethodOptions  bendDefinitionMethod 
)

SETS the bend definition method
Created in NX5.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
bendDefinitionMethodbend definition method option
void NXOpen::Preferences::PartSheetmetal::SetBendRadius ( bool  updateModel,
const NXString bendRadius 
)

The bend radius value
Created in NX4.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
bendRadiusdefault bend radius value for bend faces
void NXOpen::Preferences::PartSheetmetal::SetBendRadius ( bool  updateModel,
const char *  bendRadius 
)

The bend radius value
Created in NX4.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
bendRadiusdefault bend radius value for bend faces
void NXOpen::Preferences::PartSheetmetal::SetBendReliefDepth ( bool  updateModel,
const NXString bendReliefDepth 
)

THE bend relief depth value
Created in NX4.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
bendReliefDepthdefault depth value for bend relief
void NXOpen::Preferences::PartSheetmetal::SetBendReliefDepth ( bool  updateModel,
const char *  bendReliefDepth 
)

THE bend relief depth value
Created in NX4.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
bendReliefDepthdefault depth value for bend relief
void NXOpen::Preferences::PartSheetmetal::SetBendReliefWidth ( bool  updateModel,
const NXString bendReliefWidth 
)

THE bend relief depth value
Created in NX4.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
bendReliefWidthdefault width value for bend relief
void NXOpen::Preferences::PartSheetmetal::SetBendReliefWidth ( bool  updateModel,
const char *  bendReliefWidth 
)

THE bend relief depth value
Created in NX4.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
bendReliefWidthdefault width value for bend relief
void NXOpen::Preferences::PartSheetmetal::SetBendTable ( bool  updateModel,
const NXString bendTable 
)

SETS the bend table name
Created in NX5.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
bendTablebend table name
void NXOpen::Preferences::PartSheetmetal::SetBendTable ( bool  updateModel,
const char *  bendTable 
)

SETS the bend table name
Created in NX5.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
bendTablebend table name
void NXOpen::Preferences::PartSheetmetal::SetDepthThreshold ( bool  updateModel,
const NXString depthThreshold 
)

THE depth threshold
Created in NX11.0.0.



License requirements : adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
updateModelSpecifies whether the solid model be updated immediately
depthThresholddefault depth threshold for joggle
void NXOpen::Preferences::PartSheetmetal::SetDepthThreshold ( bool  updateModel,
const char *  depthThreshold 
)

THE depth threshold
Created in NX11.0.0.



License requirements : adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
updateModelSpecifies whether the solid model be updated immediately
depthThresholddefault depth threshold for joggle
void NXOpen::Preferences::PartSheetmetal::SetDeviationalToleranceInFlatSolid ( bool  updateModel,
double  deviationalToleranceInFlatSolid 
)

SETS the deviational tolerance during Flat Solid simplification
Created in NX4.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
deviationalToleranceInFlatSolidflag
void NXOpen::Preferences::PartSheetmetal::SetDistanceThreshold ( bool  updateModel,
const NXString distanceThreshold 
)

THE distance threshold
Created in NX11.0.0.



License requirements : adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
updateModelSpecifies whether the solid model be updated immediately
distanceThresholddefault distance threshold for joggle
void NXOpen::Preferences::PartSheetmetal::SetDistanceThreshold ( bool  updateModel,
const char *  distanceThreshold 
)

THE distance threshold
Created in NX11.0.0.



License requirements : adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
updateModelSpecifies whether the solid model be updated immediately
distanceThresholddefault distance threshold for joggle
void NXOpen::Preferences::PartSheetmetal::SetFlatPatternCalloutOrientationType ( NXOpen::Preferences::PartSheetmetal::FlatPatternCalloutOrientationType  orientation)

Sets the orientation type for flat pattern callouts.


Created in NX9.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
orientationThe orientation type for the flat pattern callouts.
void NXOpen::Preferences::PartSheetmetal::SetFlatPatternCalloutTypeContents ( const NXString calloutType,
std::vector< NXString > &  contents 
)

Sets the contents for a callout type.


Created in NX9.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
calloutTypeThe name of the callout type for which to set the content.
contentsThe contents for the callout type.
void NXOpen::Preferences::PartSheetmetal::SetFlatPatternCalloutTypeContents ( const char *  calloutType,
std::vector< NXString > &  contents 
)

Sets the contents for a callout type.


Created in NX9.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
calloutTypeThe name of the callout type for which to set the content.
contentsThe contents for the callout type.
void NXOpen::Preferences::PartSheetmetal::SetFlatPatternCalloutTypeDisplay ( const NXString calloutType,
const NXOpen::Preferences::PartSheetmetal::FlatPatternCalloutTypeDisplay displayData 
)

Sets the display data for a callout type.


Created in NX5.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
calloutTypeThe name of the callout type for which to set the display data.
displayDataThe display data for the callout type.
void NXOpen::Preferences::PartSheetmetal::SetFlatPatternCalloutTypeDisplay ( const char *  calloutType,
const NXOpen::Preferences::PartSheetmetal::FlatPatternCalloutTypeDisplay displayData 
)

Sets the display data for a callout type.


Created in NX5.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
calloutTypeThe name of the callout type for which to set the display data.
displayDataThe display data for the callout type.
void NXOpen::Preferences::PartSheetmetal::SetFlatPatternObjectTypeDisplay ( bool  updateModel,
NXOpen::Preferences::PartSheetmetal::FlatPatternObjectType  objectType,
const NXOpen::Preferences::PartSheetmetal::FlatPatternObjectTypeDisplay displayData 
)

Sets the display data for a flat pattern object type.


Created in NX5.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately.
objectTypeThe object type for which to get the display data.
displayDataThe display data for the flat pattern object type.
void NXOpen::Preferences::PartSheetmetal::SetFlexibleCableBottomFaceColor ( NXOpen::NXColor bottomFaceColor)

THE bottom face color.


Created in NX7.5.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
bottomFaceColorbottomfacecolor
void NXOpen::Preferences::PartSheetmetal::SetFlexibleCableTopFaceColor ( NXOpen::NXColor topFaceColor)

THE top face color.


Created in NX7.5.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
topFaceColortopfacecolor
void NXOpen::Preferences::PartSheetmetal::SetHoleTreatmentDiameter ( bool  updateModel,
const NXString diameter 
)

SETS the hole treatment diameter value in Flat Pattern operation
Created in NX12.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
diameterdefault value for hole diameter
void NXOpen::Preferences::PartSheetmetal::SetHoleTreatmentDiameter ( bool  updateModel,
const char *  diameter 
)

SETS the hole treatment diameter value in Flat Pattern operation
Created in NX12.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
diameterdefault value for hole diameter
void NXOpen::Preferences::PartSheetmetal::SetHoleTreatmentType ( bool  updateModel,
NXOpen::Features::SheetMetal::FeatureProperty  holeTreatmentType 
)

SETS the hole treatment type in Flat Pattern operation
Created in NX12.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
holeTreatmentTypehole treatment type
void NXOpen::Preferences::PartSheetmetal::SetInnerCornerTreatmentType ( bool  updateModel,
NXOpen::Features::SheetMetal::FeatureProperty  innerCornerTreatmentType 
)

SETS the inner corner treatment type in Flat as Solid operation
Created in NX4.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
innerCornerTreatmentTypeouter corner treatment type
void NXOpen::Preferences::PartSheetmetal::SetInnerCornerTreatmentValue ( bool  updateModel,
const NXString innerCornerTreatment 
)

SETS the inner corner treatment value for Flat as Solid operations
Created in NX4.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
innerCornerTreatmentdefault value for inner corner treatment
void NXOpen::Preferences::PartSheetmetal::SetInnerCornerTreatmentValue ( bool  updateModel,
const char *  innerCornerTreatment 
)

SETS the inner corner treatment value for Flat as Solid operations
Created in NX4.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
innerCornerTreatmentdefault value for inner corner treatment
void NXOpen::Preferences::PartSheetmetal::SetIsBsplineSimplifiedInFlatSolid ( bool  updateModel,
bool  isBsplineSimplifiedInFlatSolid 
)

SETS the flag indicating whether or not B-Splines are simplified as part of the Flat Solid creation
Created in NX4.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
isBsplineSimplifiedInFlatSolidflag
void NXOpen::Preferences::PartSheetmetal::SetIsSystemGeneratedBendReliefRemovedInFlatSolid ( bool  updateModel,
bool  isSystemGeneratedBendReliefRemoved 
)

SETS the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation
Created in NX4.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
isSystemGeneratedBendReliefRemovedflag
void NXOpen::Preferences::PartSheetmetal::SetMaintainCircularShapeForHolesInFlatSolid ( bool  updateModel,
bool  isMaintainCircularShapeForHoles 
)

Sets the flag indicating whether or not maintain circular shape for holes as part of the Flat Solid creation
Created in NX6.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
isMaintainCircularShapeForHolesflag
void NXOpen::Preferences::PartSheetmetal::SetMaterial ( bool  updateModel,
const NXString standardName 
)

The material standard
Created in NX4.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
standardNameThe name of a material from the material standards file
void NXOpen::Preferences::PartSheetmetal::SetMaterial ( bool  updateModel,
const char *  standardName 
)

The material standard
Created in NX4.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
standardNameThe name of a material from the material standards file
void NXOpen::Preferences::PartSheetmetal::SetMinimumArcToleranceInFlatSolid ( bool  updateModel,
double  minimumArcToleranceInFlatSolid 
)

SETS the minimum arc tolerance during Flat Solid simplification
Created in NX4.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
minimumArcToleranceInFlatSolidflag
void NXOpen::Preferences::PartSheetmetal::SetMinimumToolClearance ( bool  updateModel,
const NXString minToolClearance 
)

Sets minimum tool clearance expression
Created in NX6.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the model be updated immediately
minToolClearanceminimum tool clearance value for NX Sheetmetal model
void NXOpen::Preferences::PartSheetmetal::SetMinimumToolClearance ( bool  updateModel,
const char *  minToolClearance 
)

Sets minimum tool clearance expression
Created in NX6.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the model be updated immediately
minToolClearanceminimum tool clearance value for NX Sheetmetal model
void NXOpen::Preferences::PartSheetmetal::SetMinimumWebLength ( bool  updateModel,
const NXString minWebLength 
)

Sets minimum Web Length expression
Created in NX6.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
minWebLengthminimum Web Length value for NX Sheetmetal model
void NXOpen::Preferences::PartSheetmetal::SetMinimumWebLength ( bool  updateModel,
const char *  minWebLength 
)

Sets minimum Web Length expression
Created in NX6.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
minWebLengthminimum Web Length value for NX Sheetmetal model
void NXOpen::Preferences::PartSheetmetal::SetNeutralFactor ( bool  updateModel,
const NXString neutralFactor 
)

THE bend relief depth value
Created in NX4.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
neutralFactordefault neutral factor value for bend relief
void NXOpen::Preferences::PartSheetmetal::SetNeutralFactor ( bool  updateModel,
const char *  neutralFactor 
)

THE bend relief depth value
Created in NX4.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
neutralFactordefault neutral factor value for bend relief
void NXOpen::Preferences::PartSheetmetal::SetOffsetRadius ( bool  updateModel,
const NXString offsetRadius 
)

THE offset radius
Created in NX11.0.0.



License requirements : adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
updateModelSpecifies whether the solid model be updated immediately
offsetRadiusdefault offset radius for joggle
void NXOpen::Preferences::PartSheetmetal::SetOffsetRadius ( bool  updateModel,
const char *  offsetRadius 
)

THE offset radius
Created in NX11.0.0.



License requirements : adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
updateModelSpecifies whether the solid model be updated immediately
offsetRadiusdefault offset radius for joggle
void NXOpen::Preferences::PartSheetmetal::SetOuterCornerTreatmentType ( bool  updateModel,
NXOpen::Features::SheetMetal::FeatureProperty  outerCornerTreatmentType 
)

SETS the outer corner treatment type in Flat as Solid operation
Created in NX4.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
outerCornerTreatmentTypeouter corner treatment type
void NXOpen::Preferences::PartSheetmetal::SetOuterCornerTreatmentValue ( bool  updateModel,
const NXString outerCornerTreatment 
)

THE outer corner treatment value for Flat as Solid operations
Created in NX4.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
outerCornerTreatmentdefault value for out corner treatment
void NXOpen::Preferences::PartSheetmetal::SetOuterCornerTreatmentValue ( bool  updateModel,
const char *  outerCornerTreatment 
)

THE outer corner treatment value for Flat as Solid operations
Created in NX4.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
outerCornerTreatmentdefault value for out corner treatment
void NXOpen::Preferences::PartSheetmetal::SetSecondaryToolName ( bool  updateModel,
const NXString secondaryToolName 
)


Created in NX12.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
secondaryToolNamesecondaryToolName
void NXOpen::Preferences::PartSheetmetal::SetSecondaryToolName ( bool  updateModel,
const char *  secondaryToolName 
)


Created in NX12.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
secondaryToolNamesecondaryToolName
void NXOpen::Preferences::PartSheetmetal::SetStationaryRadius ( bool  updateModel,
const NXString stationaryRadius 
)

THE stationary radius
Created in NX11.0.0.



License requirements : adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
updateModelSpecifies whether the solid model be updated immediately
stationaryRadiusdefault stationary radius for joggle
void NXOpen::Preferences::PartSheetmetal::SetStationaryRadius ( bool  updateModel,
const char *  stationaryRadius 
)

THE stationary radius
Created in NX11.0.0.



License requirements : adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
updateModelSpecifies whether the solid model be updated immediately
stationaryRadiusdefault stationary radius for joggle
void NXOpen::Preferences::PartSheetmetal::SetTabCurveTypeDisplayData ( bool  updateModel,
NXOpen::Preferences::PartSheetmetal::TabCurveType  curveType,
const NXOpen::Preferences::PartSheetmetal::TabCurveTypeDisplayData displayData 
)

Sets the display data for a given tab curve type.


Created in NX12.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately.
curveTypeThe curve type for which to get the display data.
displayDataThe display data for the tab curve type.
void NXOpen::Preferences::PartSheetmetal::SetThickness ( bool  updateModel,
const NXString thickness 
)

THE thickness value string
Created in NX4.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
thicknessdefault thickness value for NX Sheetmetal solids
void NXOpen::Preferences::PartSheetmetal::SetThickness ( bool  updateModel,
const char *  thickness 
)

THE thickness value string
Created in NX4.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
thicknessdefault thickness value for NX Sheetmetal solids
void NXOpen::Preferences::PartSheetmetal::SetTool ( bool  updateModel,
const NXString standardName 
)

The tool standard
Created in NX6.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
standardNameThe name of a tool from the material standards file
void NXOpen::Preferences::PartSheetmetal::SetTool ( bool  updateModel,
const char *  standardName 
)

The tool standard
Created in NX6.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
standardNameThe name of a tool from the material standards file
tag_t NXOpen::Preferences::PartSheetmetal::Tag ( ) const

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.